
.stiDesignerTextBoxEditButton {    
    border: 1px solid @MobileDesignerControlsBorderColor; 
    background: @MobileDesignerControlsBackgroundColor;
    border-Left: 0px;
    padding: 0px;
    margin: 0px;
	font-size: 0px;
}

.stiDesignerTextBoxEditButtonDisabled {    
    border: 1px solid @MobileDesignerControlsDisabledBorderColor; 
    background: @MobileDesignerControlsBackgroundColor;
    border-Left: 0px;
    padding: 0px;
    margin: 0px;
	font-size: 0px;
}

/*Margins Control*/
.stiDesignerMarginsControl {    
    font-size: 12px;    
    background: @MobileDesignerControlsBackgroundColor;
    margin: 0px;
    padding: 0px;
    font-family: Arial;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    color: @MobileDesignerFontColor;
}

.stiDesignerMarginsControlInnerCell {
    border-right: 1px solid @MobileDesignerControlsBorderColor;
}

.stiDesignerMarginsControlInnerCellOver {
    border-right: 1px solid @MobileDesignerControlsOverBorderColor;
}

.stiDesignerMarginsControlDefault {
    border: 1px solid @MobileDesignerControlsBorderColor;
}

.stiDesignerMarginsControlOver {
    border: 1px solid @MobileDesignerControlsOverBorderColor;
}

.stiDesignerMarginsControlDisabled {
    border: 1px solid @MobileDesignerControlsDisabledBorderColor;
}

/* Mouse */
.stiDesignerTextBox_Mouse {    
    font-size: 12px;
    border: 1px solid @MobileDesignerControlsBorderColor;    
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsBackgroundColor;
    color: @MobileDesignerFontColor;
}

.stiDesignerTextBoxOver_Mouse {    
    font-size: 12px;
    border: 1px solid @MobileDesignerControlsOverBorderColor;
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsBackgroundColor;
    color: @MobileDesignerFontColor;
}

.stiDesignerTextBoxDisabled_Mouse {    
    font-size: 12px;
    border: 1px solid @MobileDesignerControlsDisabledBorderColor; 
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsDisabledBackgroundColor;  
    color: @MobileDesignerFontDisabledColor;
}

/* Touch */
.stiDesignerTextBox_Touch {    
    font-size: 12px;
    border: 1px solid @MobileDesignerControlsBorderColor;
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsBackgroundColor;  
    color: @MobileDesignerFontColor;
}

.stiDesignerTextBoxOver_Touch {    
    font-size: 12px;
    border: 1px solid @MobileDesignerControlsOverBorderColor;
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsBackgroundColor; 
}

.stiDesignerTextBoxDisabled_Touch {    
    font-size: 12px;
    border: 1px solid @MobileDesignerControlsDisabledBorderColor;
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsDisabledBackgroundColor; 
    color: @MobileDesignerFontDisabledColor;
}